{
  config,
  lib,
  pkgs,
  ...
}:
with lib; {
  xsession.enable = true;

  #TODO: why is intel mentioned here? i dont use intel
  home.file.".xinitrc".source = let
    content =
      if config.local.nixos
      then ''
        exec ~/.xsession
      ''
      else ''
        exec ${pkgs.nixgl.nixGLIntel}/bin/nixGLIntel ~/.xsession
      '';
  in
    pkgs.writeShellScript "xinitrc" content;
}
